package main

/*
	this parses the command line arguements
	this enables command line options from other packages like 'gui' and 'log'
*/

import (
	"go.wit.com/dev/alexflint/arg"
)

var argv args

type args struct {
	ListRepos bool   `arg:"--list-repos" help:"list all repositories"`
	Port      int    `arg:"--port" default:"2520" help:"port to run on"`
	RepoMap   string `arg:"--repomap" default:"/etc/gowebd/repomap" help:"repomap file"`
	Hostname  string `arg:"--hostname" default:"go.wit.com" help:"hostname to use"`
}

func (args) Version() string {
	return "gowebd " + VERSION + "   Built on " + BUILDTIME
}

func init() {
	arg.MustParse(&argv)
}
